## org.biojava.utils.regex
Interface Search.Listener

Enclosing class:
  Search

    public static interface Search.Listener

Interface for a class that will recieve match information from this class.

Method Summary
`boolean` `reportMatch(SymbolList seq, Pattern pattern, int start, int end)`

Method Detail

### reportMatch

    boolean reportMatch(SymbolList seq,
                        Pattern pattern,
                        int start,
                        int end)

  Parameters:
    `seq` - Sequence on which the search was conducted.
    `pattern` - Pattern object used to conduct search.
    `start` - start coordinate of match.
    `end` - end of match plus one.
  Returns:
    if false, it indicates the Listener will not accept further data.